﻿namespace TextBoxUltraTreeAfterSelectEvent
{
    using System;
    using System.ComponentModel;
    using System.Windows.Forms;
    using Infragistics.Win.UltraWinTree;

    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.textBoxUserControl1.Controls[0].Validating += new CancelEventHandler(Form1_Validating);
            //this.ultraTreeUserControl1.Controls[0].Validating += new CancelEventHandler(Form1_Validating);

            UltraTree tree = (UltraTree)this.ultraTreeUserControl1.Controls[0];
            tree.AfterSelect += new AfterNodeSelectEventHandler(tree_AfterSelect);
        }

        private void tree_AfterSelect(object sender, SelectEventArgs e)
        {
            MessageBox.Show("Tree's after select event is raised!");
        }

        private void Form1_Validating(object sender, CancelEventArgs e)
        {
            e.Cancel = true;
        }
    }
}
